Subject: [Healeys] Temp sender update

From: I Erbs <[email-masked]>
Date: Mon, 2 Sep 2013 15:59:42 -0700

Still stuck in my head....
Resprayed with rust release.
Removed radiator to get access with a cold chisel. Metal is soft and I cut
off part of the nut with no movement....
Other Len suggested a "screw grab "product to help gain traction on the
rounded bolt head.  So while I wait for the delivery I can go us on the oil
leak.... If my new rear main seal kit is leaking. How do I fix it,?
What do I look for ? After I once again remove my tranny....
really enjoyed that trip around the block last FridAy night....

Ira Erbs
Portland, OR
please excuse typos. Sent from my phone
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys